body.layout-matrix #main-wrapper {
    background-image: linear-gradient(rgba(18, 16, 16, 0) 50%, rgba(0, 0, 0, 0.25) 50%), linear-gradient(90deg, rgba(255, 0, 0, 0.06), rgba(0, 255, 0, 0.02), rgba(0, 0, 255, 0.06));
    background-size: 100% 2px, 3px 100%; position: relative;
}
body.layout-matrix #main-wrapper::after {
    content: " "; display: block; position: absolute; top: 0; left: 0; bottom: 0; right: 0;
    background: linear-gradient(to bottom, transparent 50%, var(--brand-blue) 51%, transparent 55%);
    background-size: 100% 200%; opacity: 0.15; animation: scanline 4s linear infinite; pointer-events: none; z-index: 0;
}
@keyframes scanline { 0% {background-position: 0% -100%;} 100% {background-position: 0% 200%;} }
body.layout-matrix .pairing-box, body.layout-matrix .qr-box, body.layout-matrix .opt-card {
    border: 1px solid var(--brand-blue); box-shadow: 0 0 15px var(--brand-blue); border-radius: 0; background: rgba(0, 0, 0, 0.7) !important; position: relative; z-index: 1;
}
body.layout-matrix.palette-if-stripes #main-wrapper {
    background-color: #1034a6 !important; 
    background-image: linear-gradient(rgba(255, 255, 255, 0.05) 1px, transparent 1px),
    linear-gradient(90deg, rgba(255, 255, 255, 0.05) 1px, transparent 1px) !important;
    background-size: 50px 50px !important;
}
body.layout-matrix.palette-if-stripes #main-wrapper::after {
    content: " " !important; display: block !important; position: absolute !important;
    top: 0; left: 0; right: 0; bottom: 0;
    background: linear-gradient(to bottom, transparent 0%, transparent 50%, #ea2158 50%, #ea2158 55%, transparent 55%, transparent 100%) !important;
    background-size: 100% 200% !important; opacity: 1 !important; animation: scanline 3s linear infinite !important;
    pointer-events: none; z-index: 10;
}